%define svn 697
#%define rel 1

%if %defined svn
%define release %mkrel 0.svn%svn.%rel
%else
%define release %mkrel %rel
%endif

Name: beryl-core
Version: 0.1.1
Release: %release
Summary: OpenGL composite manager for Xgl and AIGLX
Group: System/X11
URL: http://www.beryl-project.org/
# NB Tarballs generated from http://svn.beryl-project.org/tags/release-%{version}/%{name}/
%if %defined svn
Source: %{name}-%{version}-%{svn}.tar.bz2
%else
Source: %{name}-%{version}.tar.bz2
%endif

License: GPL
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: X11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-proto-devel
BuildRequires: libpng-devel
BuildRequires: libwnck-devel
BuildRequires: libgnome-window-settings-devel
BuildRequires: gnome-desktop-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxdamage-devel
BuildRequires: intltool

Requires: beryl-plugins
Requires: beryl-settings
Requires: emerald
Requires: compositing-wm-common
Provides: compositing-wm

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

# compiz-quinnstorm was renamed to beryl-core
Provides: compiz-quinnstorm
Obsoletes: compiz-quinnstorm

%description
OpenGL composite manager for Xgl and AIGLX.

This is a fork of the compiz window manager driven to add bleeding
edge features and plugins that may not fall quite inline with the
overall plans for compiz.

It is a more open package that has resulted in the rapid development
of many new plugins and features.

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/beryl
%{_datadir}/beryl/*
# FIXME: create i18n packages
#%{_datadir}/locale/*/LC_MESSAGES/beryl.mo

%{_mandir}/man1/beryl.1.bz2
%{_mandir}/man1/beryl-settings-dump.1.bz2
%{_mandir}/man1/beryl-start.1.bz2

#--------------------------------------------------------------------

%package devel
Summary: Development files for beryl
Group: Development/X11

%description devel
Development files for beryl

%files devel
%defattr(-,root,root)
%{_bindir}/beryl-settings-dump
%{_includedir}/beryl/beryl.h
%{_includedir}/beryl/beryl_ipcs.h
%{_libdir}/pkgconfig/beryl.pc


#--------------------------------------------------------------------

%prep
%setup -q -n %{name}

# Don't build Mesa/Xgl binary (our scripts deal with it instead)
sed -i 's/bin_PROGRAMS = beryl beryl-settings-dump beryl-xgl/bin_PROGRAMS = beryl beryl-settings-dump/' src/Makefile.am


%build

# This is a CVS snapshot, so we need to generate makefiles.
sh autogen.sh

%configure2_5x \
                --x-includes=%{_includedir}\
                --x-libraries=%{_libdir}

# Fix for SVN not commiting update but valid settings files when dependencies change
# This causes settings to be regenerated but this itself can cause problems
# (both a weird RPM but but also general cross-compilation)
find \( -name "*.settings" -o -name settings \) -exec touch {} \;

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# We don't want this script
rm -f %{buildroot}%{_bindir}/beryl-start
# Nor do we need the -xgl variant as our compositing-wm-common scripts
# take care of that for us
rm -f %{buildroot}%{_bindir}/beryl-xgl

%clean
rm -rf %{buildroot}


